SMBLDAP-USERINFO.CMD(8)

NAME
smbldap-userinfo - change user real name, information and shell

SYNOPSIS
smbldap-userinfo [-f full_name] [-r room_no] [-w work_ph] [-h home_ph] [-o other] [-s login_shell] [-l] [-?] [-v]

DESCRIPTION
This command changes user gecos fields and login shell. The normal user can change only the fields for his own account, the super user may change the fiels for any account.

If none of the options are selected, the command is run in an interactive mode for the current user account. User is asked for all fields. To accept a default value you should just press <ENTER>, otherwise write text and press <ENTER>.

posixAccount objectClasses has to be present in the modified entry. If inetOrgPerson objectClass is also present additional attributes will be changed (givenName,sn,roomNumber,telephoneNumber, homePhone)

-l
       Display users information and password status.

-f full_name
       affected attributes: 'gecos', 'cn' (and 'givenName', 'sn'
       if inetOrgPerson is present)

-r room_number
       affected attributes: 'gecos' (and 'roomNumber'
       if inetOrgPerson is present)

-w work_phone
       affected attributes: 'gecos' (and 'telephoneNumber'
       if inetOrgPerson is present)

-h home_phone
       affected attributes: 'gecos' (and 'homePhone'
       if inetOrgPerson is present)

-o other
       affected attributes: 'gecos'

-s login_shell
       affected attributes: 'loginShell'

-? show the help message

-v verbose - show modified user entry